Bug 910857

Summary: vfstype doesn't need to have -t prepended
Product: [Fedora] Fedora EPEL Reporter: Shad L. Lords <slords>
Component: mockAssignee: Clark Williams <williams>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: el6CC: mebrown, williams
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-04 01:41:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Shad L. Lords 2013-02-13 17:27:58 UTC
Description of problem:

When defining a mount in a mock cfg file and you pass in a fs type mock prepends a -t to the vfstype.  This causes the mount command to have -t -t fstype and the mount fails.

Version-Release number of selected component (if applicable):

mock-1.1.28-1.el6.noarch

How reproducible:

Always

Steps to Reproduce:
1. Define mount point in mock cfg
2. Try to use cfg
  
Actual results:

Mount fails to be mounted.

Expected results:

Mount is mounted in chroot

Additional info:

This is how the mount is defined in the config:

config_opts['plugin_conf']['mount_opts']['dirs'].append(('storage:/export/build', '/build', 'nfs', 'defaults,noatime,nodiratime,nosuid'))

To fix this comment out the section in mount.py:

--- mount.py.orig     2013-02-08 13:54:47.000000000 -0700
+++ mount.py 2012-11-01 14:59:25.000000000 -0600
@@ -43,10 +43,10 @@
         rootObj.addHook("preshell", self._mountPreInitHook)
         rootObj.addHook("prechroot", self._mountPreInitHook)
         for device, dest_dir, vfstype, mount_opts in self.opts['dirs']:
-            if vfstype:
-                vfstype = "-t " + vfstype
-            else:
-                vfstype = ""
+#            if vfstype:
+#                vfstype = "-t " + vfstype
+#            else:
+#                vfstype = ""
             rootObj.mounts.add(FileSystemMountPoint(rootObj.makeChrootPath(dest_dir),
                                                     filetype=vfstype,
                                                     device=device,

Comment 1 Clark Williams 2013-04-01 20:40:17 UTC
Yeah, that doesn't make much sense. 

I've deleted the vfstype lines and queued the change for the 1.1.31 release.

Comment 2 Fedora Update System 2013-04-16 17:34:54 UTC
mock-1.1.31-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.fc19

Comment 3 Fedora Update System 2013-04-16 17:35:50 UTC
mock-1.1.31-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.fc17

Comment 4 Fedora Update System 2013-04-16 17:36:47 UTC
mock-1.1.31-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.el6

Comment 5 Fedora Update System 2013-04-16 17:37:42 UTC
mock-1.1.31-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.31-1.fc18

Comment 6 Fedora Update System 2013-04-17 16:22:34 UTC
Package mock-1.1.31-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.31-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5858/mock-1.1.31-1.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-04-18 20:28:16 UTC
mock-1.1.32-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.fc17

Comment 8 Fedora Update System 2013-04-18 20:29:28 UTC
mock-1.1.32-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.fc18

Comment 9 Fedora Update System 2013-04-18 20:31:12 UTC
mock-1.1.32-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.el6

Comment 10 Fedora Update System 2013-04-18 20:32:15 UTC
mock-1.1.32-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.32-1.fc19

Comment 11 Fedora Update System 2013-05-04 01:41:22 UTC
mock-1.1.32-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-05-05 02:29:20 UTC
mock-1.1.32-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-05-05 02:30:28 UTC
mock-1.1.32-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.